import { NO_ERRORS_SCHEMA } from '@angular/core';
import { ComponentFixture, TestBed } from '@angular/core/testing';
import { getMockPipe } from '@shared/pipes/pipe.mock';

import { FlightDetailsBoardingComponent } from './flight-details-boarding.component';

describe('FlightDetailsBoardingComponent', () => {
    let component: FlightDetailsBoardingComponent;
    let fixture: ComponentFixture<FlightDetailsBoardingComponent>;

    beforeEach(async () => {
        await TestBed.configureTestingModule({
            declarations: [
                FlightDetailsBoardingComponent,
                getMockPipe('translate'),
            ],
            schemas: [NO_ERRORS_SCHEMA],
        }).compileComponents();
    });

    beforeEach(() => {
        fixture = TestBed.createComponent(FlightDetailsBoardingComponent);
        component = fixture.componentInstance;
        fixture.detectChanges();
    });

    it('should create', () => {
        expect(component).toBeTruthy();
    });
});
